[ats]
# Network specific inbound/outbound quotas
UNSPECIFIED_QUOTA_IN = 1000000
UNSPECIFIED_QUOTA_OUT = 1000000
# LOOPBACK
LOOPBACK_QUOTA_IN = 10000000
LOOPBACK_QUOTA_OUT = 10000000
# LAN
LAN_QUOTA_IN = 10000000
LAN_QUOTA_OUT = 10000000
# WAN
WAN_QUOTA_IN = 10000000
WAN_QUOTA_OUT = 10000000
# WLAN
WLAN_QUOTA_IN = 10000000
WLAN_QUOTA_OUT = 10000000
# BLUETOOTH
BLUETOOTH_QUOTA_IN = 10000000
BLUETOOTH_QUOTA_OUT = 10000000

# Proportional specific settings
# How proportional to preferences is bandwidth distribution in a network
# 1: Fair with respect to addresses without preferences
# > 10: The bigger, the more respect is payed to preferences 
PROP_PROPORTIONALITY_FACTOR = 2.00
# Should we stick to existing connections are prefer to switch?
# [10...200], lower value prefers to switch, bigger value is more tolerant
PROP_STABILITY_FACTOR = 1.25

# MLP specific settings
# MLP defaults

# Maximum duration for a solution process
# MLP_MAX_DURATION = 30 s

# Maximum number of iterations for a solution process
# MLP_MAX_ITERATIONS = 1024
# Tolerated MIP Gap [0.0 .. 1.0], default 0.025
MLP_MAX_MIP_GAP = 0.025
# Tolerated LP/MIP Gap [0.0 .. 1.0], default 0.025
MLP_MAX_LP_MIP_GAP = 0.025

# MLP_COEFFICIENT_D = 1.0
# MLP_COEFFICIENT_U = 1.0
# MLP_COEFFICIENT_R = 1.0
MLP_MIN_BANDWIDTH = 10
# MLP_MIN_CONNECTIONS = 4
# MLP_DBG_FEASIBILITY_ONLY = YES
MLP_DBG_AUTOSCALE_PROBLEM = YES
# MLP_DBG_INTOPT_PRESOLVE = YES
# Print GLPK output
# MLP_DBG_GLPK_VERBOSE = YES

#MLP_DBG_OPTIMIZE_UTILITY = NO
#MLP_DBG_OPTIMIZE_QUALITY = NO
#MLP_DBG_OPTIMIZE_RELATIVITY = NO
#DLP_DBG_OPTIMIZE_DIVERSITY = NO

MLP_LOG_FORMAT = CPLEX

# MLP Log settings
# Dump all problems to disk
# MLP_DUMP_PROBLEM_ALL = YES
# Dump all solution to disk
# MLP_DUMP_SOLUTION_ALL = YES

# RIL specifc settings
RIL_STEP_TIME_MIN = 1 ms
RIL_STEP_TIME_MAX = 10 ms

RIL_ALGORITHM = Q
RIL_DISCOUNT_BETA = 0.7
RIL_GRADIENT_STEP_SIZE = 0.3
RIL_TRACE_DECAY = 0.2
RIL_EXPLORE_RATIO = 0.1
RIL_GLOBAL_REWARD_SHARE = 1

